Getting an old IMP sparkfun working

Hello, I have an old IMP from about 2012 or so and am wondering if it will still work. It does power up, but i tried blinkup a few times without any reaction.

M

It should work, but old imps (eg ones running pre-2014 software) were not generally happy with android phones.

There’s a “legacy blinkup” option in the android app which might help, otherwise you will need to find an iOS device to get it online so it can update itself. All imps, right from the very first ones shipped, are supported by the latest release (42.5 for developers).